
/* Inicializao do Documento */
window.onload = init;
function init() {
   var formCadastro = document.getElementById("formCadastro");
   formCadastro.onsubmit = validar;
   formCadastro.tcount.value = 4000;
   formCadastro.mensagem.onkeyup = conta;
   }

function conta() {
   var formCadastro = document.getElementById("formCadastro");
   var remchars = 4000 - formCadastro.mensagem.value.length;
   if (remchars < 0) {
       formCadastro.mensagem.value = formCadastro.mensagem.value.substr(0,4000);
       remchars = 0;
   }
   formCadastro.tcount.value = remchars;
}

/* Valida Formulrio */
function validar() {
   /* Aponta formulario */
   var formCadastro = document.getElementById("formCadastro");

   formCadastro.nome.style.borderColor = "";
   formCadastro.idade.style.borderColor = "";
   formCadastro.mensagem.style.borderColor = "";

   /* Checa se nome est preenchido */
   if (formCadastro.nome.value.length == 0) {
      setHelpText("Voc&ecirc; precisa digitar um nome!");
      setCorCampo(formCadastro.nome);
      return false;
      }
   /* Checa se nome tem tamanho mnimo de 6 chars */
   if (formCadastro.nome.value.length < 6) {
      setHelpText("Nome muito curto!");
      setCorCampo(formCadastro.nome);
      return false;
      }
   /* Checa se idade  um nmero */
   if (isNaN(formCadastro.idade.value)) {
      setHelpText("A idade precisar ser um n&uacute;mero!");
      setCorCampo(formCadastro.idade);
      return false;
      }
   /* Checa se idade  maior que 18 anos */
   if (formCadastro.idade.value < 18) {
      setHelpText("A idade m&iacute;nima &eacute; 18 anos!");
      setCorCampo(formCadastro.idade);
      return false;
      }
   /* Checa se idade  maior que 150 anos */
   if (formCadastro.idade.value > 150) {
      setHelpText("Ningu&eacute;m vive tanto tempo!");
      setCorCampo(formCadastro.idade);
      return false;
      }
   /* Checa se mensagem foi digitada */
   if (formCadastro.mensagem.value.length < 1) {
      setHelpText("Mensagem muito curta!");
      setCorCampo(formCadastro.mensagem);
      return false;
      }

   formCadastro.ok.disabled = "disabled";
   formCadastro.ok.value = "Enviando...";

   return true;
   }


/* Funo auxiliar usada para informar erros no preenchimento */
function setHelpText(text) {
   document.getElementById("help").style.color="red";
   document.getElementById("help").innerHTML=text;
   }

function setCorCampo(campo) {
   campo.style.borderColor = "red";
   campo.focus();
   }


