window.onload = init;
var jogador = "";

function init() {
	
	var binicio = document.getElementById("binicio");
	binicio.onclick = iniciaJogo;
}

function iniciaJogo() {
	var radio = document.getElementsByName("jogador");
	if (radio[0].checked) jogador = "x";
	else jogador = "o";
	mostraMensagem("Incio de Jogo",
		"Jogador Selecionado: " + jogador,
		"Boa sorte!");
	
	pintaTabuleiro("xo X Oxxxv");
}

function pintaTabuleiro(dados) {
	
	// "xx o x oov"
	
	for (i=0; i<=8; i++) {
	   var c = dados.substr(i,1);
       var cel = document.getElementById("c" + i);
	   var scel = document.getElementById("c" + i + "s");
	   if (c != " ") {
	      cel.className = c + "sel";
	      scel.style.visibility = "hidden";
	      cel.onclick = "";
   	   }
	   else {
	      cel.className = "";
	      scel.style.visibility = "visible";
	      cel.onclick = click;
	   }
	}
	
	var r = dados.substr(9,1);
	if (r == "v") {
		mostraMensagem("Voc venceu!",
			"Parabns!",
			"Ser que consegue me vencer novamente?");
	}
	else if (r == "p") {
		mostraMensagem("Voc perdeu!",
			"Que pena!",
			"Desejo mais sorte na prxima vez!");
	} else if (r == "e") {
		mostraMensagem("Deu velha!",
			"Somos bons!",
			"Com o tempo voc pode me superar!");
	}
	if (r != " ") {
  	   for (i=0; i<=8; i++) {
  	      var cel = document.getElementById("c" + i);
  	      var scel = document.getElementById("c" + i + "s");
	      scel.style.visibility = "hidden";
	      cel.onclick = "";
   	   }
	}
}

function mostraMensagem(titulo, mensagem, descr) {
	window.alert(mensagem + "\n" + descr, titulo);
}

function click() {
	this.className = jogador+"sel";
}

